Bug 1350143 - Review Request: fmt - Small, safe and fast formating library for C++
Summary: Review Request: fmt - Small, safe and fast formating library for C++
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1334067
TreeView+ depends on / blocked
 
Reported: 2016-06-26 02:16 UTC by Dave Johansen
Modified: 2016-09-22 18:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-04 17:39:49 UTC
anto.trande: fedora-review+


Attachments (Terms of Use)

Description Dave Johansen 2016-06-26 02:16:11 UTC
Spec URL: https://daveisfera.fedorapeople.org/fmt_3.0.0/fmt.spec
SRPM URL: https://daveisfera.fedorapeople.org/fmt_3.0.0/fmt-3.0.0-0.1.fc23.src.rpm
Description: fmt is a safe alternative to printf and a fast alternative to IOStreams.
Fedora Account System Username: daveisfera

This is a rename of cppformat as part of the 3.0.0 release (see bugzilla #1216279).

Comment 1 Dave Johansen 2016-06-26 02:18:22 UTC
Sorry, I meant bugzilla #1334067.

Comment 2 Antonio 2016-07-02 14:43:30 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

- Package does not own /usr/share/cmake/fmt /usr/include/fmt

- Please, unbundle font in usr/share/doc/fmt-doc/html/_static/fonts

- Why a pre-release tag ? (0.1%{?dist})

- Please, leave comments about the patches.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 102
     files have unknown license. Detailed output of licensecheck in
     /home/sagitter/1350143-fmt/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/cmake/fmt, /usr/include/fmt
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/cmake,
     /usr/share/cmake/fmt, /usr/include/fmt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in fmt-doc
     , fmt-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fmt-3.0.0-0.1.fc25.x86_64.rpm
          fmt-devel-3.0.0-0.1.fc25.x86_64.rpm
          fmt-doc-3.0.0-0.1.fc25.noarch.rpm
          fmt-debuginfo-3.0.0-0.1.fc25.x86_64.rpm
          fmt-3.0.0-0.1.fc25.src.rpm
fmt.x86_64: W: spelling-error %description -l en_US printf -> print, prints, print f
fmt.x86_64: W: spelling-error %description -l en_US cppformat -> reformat
fmt.x86_64: W: tag-in-description C Provides:
fmt.x86_64: W: tag-in-description C Obsoletes:
fmt.x86_64: W: incoherent-version-in-changelog 3.0.0-1 ['3.0.0-0.1.fc25', '3.0.0-0.1']
fmt.x86_64: W: no-documentation
fmt-devel.x86_64: W: only-non-binary-in-usr-lib
fmt-devel.x86_64: W: no-documentation
fmt.src: W: spelling-error %description -l en_US printf -> print, prints, print f
fmt.src: W: spelling-error %description -l en_US cppformat -> reformat
fmt.src: W: tag-in-description C Provides:
fmt.src: W: tag-in-description C Obsoletes:
fmt.src: W: invalid-url Source0: https://github.com/fmtlib/fmt/releases/download/3.0.0/fmt-3.0.0.zip HTTP Error 403: Forbidden
5 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (debuginfo)
-------------------
Checking: fmt-debuginfo-3.0.0-0.1.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
fmt-devel (rpmlib, GLIBC filtered):
    fmt(x86-64)
    libfmt.so.3()(64bit)

fmt (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

fmt-doc (rpmlib, GLIBC filtered):

fmt-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
fmt-devel:
    cppformat-devel
    fmt-devel
    fmt-devel(x86-64)

fmt:
    fmt
    fmt(x86-64)
    libfmt.so.3()(64bit)

fmt-doc:
    cppformat-doc
    fmt-doc

fmt-debuginfo:
    fmt-debuginfo
    fmt-debuginfo(x86-64)



Source checksums
----------------
https://github.com/fmtlib/fmt/releases/download/3.0.0/fmt-3.0.0.zip :
  CHECKSUM(SHA256) this package     : 1b050b66fa31b74f1d75a14f15e99e728ab79572f176a53b2f8ad7c201c30ceb
  CHECKSUM(SHA256) upstream package : 1b050b66fa31b74f1d75a14f15e99e728ab79572f176a53b2f8ad7c201c30ceb


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1350143
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Antonio 2016-07-22 19:41:55 UTC
Can we go on? :)

Comment 4 Dave Johansen 2016-08-09 04:41:08 UTC
Sorry for the delay. We moved and I haven't had time to work on this sort of thing.

(In reply to Antonio Trande from comment #2)
> [!]: Package requires other packages for directories it uses.
>      Note: No known owner of /usr/share/cmake/fmt, /usr/include/fmt
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/cmake,
>      /usr/share/cmake/fmt, /usr/include/fmt

Fixed.

> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.

This is actually a rename of cppformat but I believe that these are correct.

> Generic:
> [!]: Avoid bundling fonts in non-fonts packages.
>      Note: Package contains font files

This came up during the original review of cppformat and the general consensus was that it wasn't an issue:
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/EKVX5GCQUFINUYBRGFD2JQHF2UXUBBVV/

> [!]: Patches link to upstream bugs/comments/lists or are otherwise
>      justified.

Fixed.

> fmt.x86_64: W: tag-in-description C Provides:
> fmt.x86_64: W: tag-in-description C Obsoletes:

Is there something wrong with my Provides/Obsoletes?

> fmt.x86_64: W: incoherent-version-in-changelog 3.0.0-1 ['3.0.0-0.1.fc25',
> '3.0.0-0.1']

Fixed.

> fmt-devel.x86_64: W: only-non-binary-in-usr-lib

I don't understand what this is warning about.

The updated .spec file with the fixes is at:
https://daveisfera.fedorapeople.org/fmt_3.0.0/fmt.spec

Comment 5 Antonio 2016-08-09 10:21:05 UTC
Hi Dave.

(In reply to Dave Johansen from comment #4)
> Sorry for the delay. We moved and I haven't had time to work on this sort of
> thing.
> 

> > [!]: Patches link to upstream bugs/comments/lists or are otherwise
> >      justified.
>
> Fixed.

I dont see any comment.

> 
> 
> > Generic:
> > [!]: Avoid bundling fonts in non-fonts packages.
> >      Note: Package contains font files
> 
> This came up during the original review of cppformat and the general
> consensus was that it wasn't an issue:
> https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/
> message/EKVX5GCQUFINUYBRGFD2JQHF2UXUBBVV/

There is a similar issue in this review: https://bugzilla.redhat.com/show_bug.cgi?id=1362265#c16

> 
> > fmt.x86_64: W: tag-in-description C Provides:
> > fmt.x86_64: W: tag-in-description C Obsoletes:
> 
> Is there something wrong with my Provides/Obsoletes?

Are under %description section; move them after the BuildRequires: line. 

> 
> > fmt-devel.x86_64: W: only-non-binary-in-usr-lib
> 
> I don't understand what this is warning about.

It's a false positive.

> 
> The updated .spec file with the fixes is at:
> https://daveisfera.fedorapeople.org/fmt_3.0.0/fmt.spec

Please, include these header files

%exclude %{_includedir}/fmt/ostream.h
%exclude %{_includedir}/fmt/posix.h
%exclude %{_includedir}/fmt/time.h

I need them for packaging other software.

Comment 6 Dave Johansen 2016-08-10 02:54:52 UTC
(In reply to Antonio Trande from comment #5)
> Hi Dave.
> 
> (In reply to Dave Johansen from comment #4)
> > Sorry for the delay. We moved and I haven't had time to work on this sort of
> > thing.
> > 
> 
> > > [!]: Patches link to upstream bugs/comments/lists or are otherwise
> > >      justified.
> >
> > Fixed.
> 
> I dont see any comment.

Sorry, the file wasn't uploaded before but it's there now.

> > > Generic:
> > > [!]: Avoid bundling fonts in non-fonts packages.
> > >      Note: Package contains font files
> > 
> > This came up during the original review of cppformat and the general
> > consensus was that it wasn't an issue:
> > https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/
> > message/EKVX5GCQUFINUYBRGFD2JQHF2UXUBBVV/
> 
> There is a similar issue in this review:
> https://bugzilla.redhat.com/show_bug.cgi?id=1362265#c16

I'm using the pre-built documentation because it can't be built in Fedora right now, so unfortunately I can't do that sort of fix.

> > > fmt.x86_64: W: tag-in-description C Provides:
> > > fmt.x86_64: W: tag-in-description C Obsoletes:
> > 
> > Is there something wrong with my Provides/Obsoletes?
> 
> Are under %description section; move them after the BuildRequires: line. 

Fixed.

> > The updated .spec file with the fixes is at:
> > https://daveisfera.fedorapeople.org/fmt_3.0.0/fmt.spec
> 
> Please, include these header files
> 
> %exclude %{_includedir}/fmt/ostream.h
> %exclude %{_includedir}/fmt/posix.h
> %exclude %{_includedir}/fmt/time.h
> 
> I need them for packaging other software.

Are these useful without the .cc files? My initial thought would be that if I'm going to package the "header only" files that it should be in a separate package.

Comment 7 Antonio 2016-08-10 09:49:37 UTC
> > > The updated .spec file with the fixes is at:
> > > https://daveisfera.fedorapeople.org/fmt_3.0.0/fmt.spec
> > 
> > Please, include these header files
> > 
> > %exclude %{_includedir}/fmt/ostream.h
> > %exclude %{_includedir}/fmt/posix.h
> > %exclude %{_includedir}/fmt/time.h
> >
> > I need them for packaging other software.

> Are these useful without the .cc files?

I don't know.

> My initial thought would be that if I'm going to package the "header only" 
> files that it should be in a separate package.

Okay.

Comment 8 Dave Johansen 2016-08-11 03:01:40 UTC
(In reply to Antonio Trande from comment #7)
> > > > The updated .spec file with the fixes is at:
> > > > https://daveisfera.fedorapeople.org/fmt_3.0.0/fmt.spec
> > > 
> > > Please, include these header files
> > > 
> > > %exclude %{_includedir}/fmt/ostream.h
> > > %exclude %{_includedir}/fmt/posix.h
> > > %exclude %{_includedir}/fmt/time.h
> > >
> > > I need them for packaging other software.
> 
> > Are these useful without the .cc files?
> 
> I don't know.
> 
> > My initial thought would be that if I'm going to package the "header only" 
> > files that it should be in a separate package.
> 
> Okay.

I'm pretty sure that they're not, so I made a fmt-static package to package all of the header only files. I posted on the packaging mailing list to make sure that this is the right way to handle this ( https://lists.fedoraproject.org/archives/list/packaging@lists.fedoraproject.org/message/SD7SZFA5EOWFXAYJ2WPBDEI5BOTXN4N6/ ).

Comment 9 Orion Poplawski 2016-08-11 17:36:23 UTC
Fails to build on EL7:

CMake Error: install(EXPORT "fmt-targets") given absolute DESTINATION "/usr/share/cmake/fmt" but the export references an installation of target "fmt" which has relative DESTINATION "lib64".

Don't ship a -static package.  Put everything in -devel and provide fmt-static there.

Comment 10 Dave Johansen 2016-08-13 04:03:28 UTC
Also, cmake 2.8.12 is required but in EL 7 it's 2.8.11 in the repos. I submitted a bug to request that that be updated ( https://bugzilla.redhat.com/show_bug.cgi?id=1366821 ), but I'm guessing it might take a while to resolve that.

Comment 11 Antonio 2016-08-13 10:20:58 UTC
(In reply to Dave Johansen from comment #10)
> Also, cmake 2.8.12 is required but in EL 7 it's 2.8.11 in the repos. I
> submitted a bug to request that that be updated (
> https://bugzilla.redhat.com/show_bug.cgi?id=1366821 ), but I'm guessing it
> might take a while to resolve that.

In epel there is available the 3 version (cmake3).

Comment 12 Dave Johansen 2016-08-13 15:01:09 UTC
(In reply to Antonio Trande from comment #11)
> In epel there is available the 3 version (cmake3).

I built with cmake3 and running into some problems there ( https://github.com/fmtlib/fmt/issues/370 ). Any recommendations?

Comment 14 Dave Johansen 2016-08-18 03:33:25 UTC
Is there anything we're waiting on for this? Or can we finish the review?

Comment 15 Antonio 2016-08-18 09:32:33 UTC
(In reply to Dave Johansen from comment #14)
> Is there anything we're waiting on for this? Or can we finish the review?

(In reply to Dave Johansen from comment #12)
> (In reply to Antonio Trande from comment #11)
> > In epel there is available the 3 version (cmake3).
> 
> I built with cmake3 and running into some problems there (
> https://github.com/fmtlib/fmt/issues/370 ). Any recommendations?

Is it built on epel7?

Comment 16 Dave Johansen 2016-08-22 14:31:49 UTC
(In reply to Antonio Trande from comment #15)
> (In reply to Dave Johansen from comment #14)
> > Is there anything we're waiting on for this? Or can we finish the review?
> 
> (In reply to Dave Johansen from comment #12)
> > (In reply to Antonio Trande from comment #11)
> > > In epel there is available the 3 version (cmake3).
> > 
> > I built with cmake3 and running into some problems there (
> > https://github.com/fmtlib/fmt/issues/370 ). Any recommendations?
> 
> Is it built on epel7?

I had problems on my local machine, but your build seemed to be fine, so I'm guessing that it's just an issue with my box and not something that should hold this up.

Comment 17 Antonio 2016-08-22 15:53:15 UTC
That of Orion is a good suggestion:

> Don't ship a -static package.  Put everything in -devel and provide fmt-static > there.

> I had problems on my local machine, but your build seemed to be fine, so I'm 
> guessing that it's just an issue with my box and not something that should 
> hold this up.

Scratch build on koji?

Comment 18 Dave Johansen 2016-08-23 02:31:31 UTC
(In reply to Antonio Trande from comment #17)
> That of Orion is a good suggestion:
> 
> > Don't ship a -static package.  Put everything in -devel and provide fmt-static > there.
> 
> > I had problems on my local machine, but your build seemed to be fine, so I'm 
> > guessing that it's just an issue with my box and not something that should 
> > hold this up.
> 
> Scratch build on koji?

I merged in the changes/clean up from your previous scratch build and uploaded the latest .spec file. Here's the EL7 scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=15344241

Comment 19 Antonio 2016-08-23 09:40:33 UTC
> - Why a pre-release tag ? (0.1%{?dist})
Is it a fmt pre-release?

Can you post definitive SPEC/SRPM links?

Comment 20 Dave Johansen 2016-08-25 04:05:13 UTC
(In reply to Antonio Trande from comment #19)
> > - Why a pre-release tag ? (0.1%{?dist})
> Is it a fmt pre-release?

I was just doing that to track the revisions of the .spec file during the review. It's now 1.

> Can you post definitive SPEC/SRPM links?

Spec URL: https://daveisfera.fedorapeople.org/fmt_3.0.0/fmt.spec
SRPM URL: https://daveisfera.fedorapeople.org/fmt_3.0.0/fmt-3.0.0-1.fc23.src.rpm

Comment 21 Antonio 2016-08-25 16:43:03 UTC
Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 102
     files have unknown license. Detailed output of licensecheck in
     /home/sagitter/1350143-fmt/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/cmake
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in fmt-
     static , fmt-doc , fmt-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fmt-3.0.0-1.fc26.x86_64.rpm
          fmt-devel-3.0.0-1.fc26.x86_64.rpm
          fmt-static-3.0.0-1.fc26.x86_64.rpm
          fmt-doc-3.0.0-1.fc26.noarch.rpm
          fmt-debuginfo-3.0.0-1.fc26.x86_64.rpm
          fmt-3.0.0-1.fc26.src.rpm
fmt.x86_64: W: spelling-error %description -l en_US printf -> print, prints, print f
fmt.x86_64: W: spelling-error %description -l en_US cppformat -> reformat
fmt.x86_64: W: tag-in-description C Provides:
fmt.x86_64: W: tag-in-description C Obsoletes:
fmt.x86_64: W: no-documentation
fmt-devel.x86_64: W: only-non-binary-in-usr-lib
fmt-devel.x86_64: W: no-documentation
fmt-static.x86_64: W: no-documentation
fmt.src: W: spelling-error %description -l en_US printf -> print, prints, print f
fmt.src: W: spelling-error %description -l en_US cppformat -> reformat
fmt.src: W: tag-in-description C Provides:
fmt.src: W: tag-in-description C Obsoletes:
6 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (debuginfo)
-------------------
Checking: fmt-debuginfo-3.0.0-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
fmt-devel.x86_64: W: only-non-binary-in-usr-lib
fmt-devel.x86_64: W: no-documentation
fmt.x86_64: W: spelling-error %description -l en_US printf -> print, prints, print f
fmt.x86_64: W: spelling-error %description -l en_US cppformat -> reformat
fmt.x86_64: W: tag-in-description C Provides:
fmt.x86_64: W: tag-in-description C Obsoletes:
fmt.x86_64: W: no-documentation
fmt-static.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
fmt-debuginfo (rpmlib, GLIBC filtered):

fmt-devel (rpmlib, GLIBC filtered):
    fmt(x86-64)
    libfmt.so.3()(64bit)

fmt (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

fmt-doc (rpmlib, GLIBC filtered):

fmt-static (rpmlib, GLIBC filtered):
    fmt-devel(x86-64)



Provides
--------
fmt-debuginfo:
    fmt-debuginfo
    fmt-debuginfo(x86-64)

fmt-devel:
    cppformat-devel
    fmt-devel
    fmt-devel(x86-64)

fmt:
    fmt
    fmt(x86-64)
    libfmt.so.3()(64bit)

fmt-doc:
    cppformat-doc
    fmt-doc

fmt-static:
    fmt-static
    fmt-static(x86-64)



Source checksums
----------------
https://github.com/fmtlib/fmt/releases/download/3.0.0/fmt-3.0.0.zip :
  CHECKSUM(SHA256) this package     : 1b050b66fa31b74f1d75a14f15e99e728ab79572f176a53b2f8ad7c201c30ceb
  CHECKSUM(SHA256) upstream package : 1b050b66fa31b74f1d75a14f15e99e728ab79572f176a53b2f8ad7c201c30ceb


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1350143
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 22 Gwyn Ciesla 2016-08-26 13:22:14 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/fmt

Comment 23 Fedora Update System 2016-08-30 05:13:42 UTC
fmt-3.0.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-70fa132149

Comment 24 Fedora Update System 2016-08-30 05:13:50 UTC
fmt-3.0.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-01c61f348c

Comment 25 Fedora Update System 2016-08-30 05:13:55 UTC
fmt-3.0.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ef9eb36f2

Comment 26 Fedora Update System 2016-08-30 05:14:01 UTC
fmt-3.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f1360cf8eb

Comment 27 Fedora Update System 2016-08-31 03:52:10 UTC
fmt-3.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f1360cf8eb

Comment 28 Fedora Update System 2016-08-31 12:57:22 UTC
fmt-3.0.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ef9eb36f2

Comment 29 Fedora Update System 2016-08-31 12:57:27 UTC
fmt-3.0.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-70fa132149

Comment 30 Fedora Update System 2016-08-31 13:49:31 UTC
fmt-3.0.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-01c61f348c

Comment 31 Fedora Update System 2016-09-04 17:39:47 UTC
fmt-3.0.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2016-09-12 06:51:27 UTC
fmt-3.0.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2016-09-12 12:21:56 UTC
fmt-3.0.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2016-09-22 18:49:43 UTC
fmt-3.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.